import request from "@/utils/request"

// 登录方法
export function login(data) {
    return request({
        url: "/qdport-auth/oauth/token",
        method: "post",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        data: data
    })
}

export function passwordChange(data) {
    return request({
        url: "/qdport-auth/oauth/forceChangePassword",
        method: "post",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        data: data
    })
}

export function sendSmsCode(data) {
    return request({
        url: "/qdport-auth/oauth/sendSmsCode",
        method: "get",
        params: data
    })
}

export function userUnlock(data) {
    return request({
        url: "/qdport-auth/oauth/unlock",
        method: "post",
        params: data
    })
}
